package ru.yandex.wmconsole.data;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: senin
 * Date: 06.06.11
 * Time: 19:03
 */
public class HostOwnersNotificationData {
    public HostOwnersNotificationData(String message, String header, Long host) {
        this.message = message;
        this.header = header;
        this.host = host;
        this.hostIdList = null;
        this.grouped = false;
    }

    public HostOwnersNotificationData(String message, String header, List<Long> hostIdList) {
        this.message = message;
        this.header = header;
        this.host = null;
        this.hostIdList = hostIdList;
        this.grouped = true;
    }

    public String getMessage() {
        return message;
    }

    public String getHeader() {
        return header;
    }

    public Long getHost() {
        return host;
    }

    public List<Long> getHostIdList() {
        return hostIdList;
    }

    public boolean isGrouped() {
        return grouped;
    }

    private String message;
    private String header;
    private Long host;
    private List<Long> hostIdList;
    private boolean grouped;
}
